# https://taskfile.dev

version: '3'

tasks:
  default:
    desc: Get all task options 
    cmds:
      - cmd: task --list
    silent: true

  tools:
    desc: Get all task options
    deps: [git]
    cmds:
      - |
          sudo apt-get update
      - task: minikube
      - task: helm
      - task: virtualbox
      - task: terraform
    silent: true

##  
## Minikube
#################################
  minikube:
   desc: Install minikube
   cmds:
      - |
         curl -LO https://storage.googleapis.com/minikube/releases/latest/minikube-linux-amd64
         sudo install minikube-linux-amd64 /usr/local/bin/minikube
      - cmd: echo -e ">>\nThe cluster minikube has been installed succefully\n"
   silent: true

  ##
  ## task
  #################################
  task:
    desc: Install taskfile
    cmds:
      - cmd: sh -c "$(curl --location https://taskfile.dev/install.sh)" -- -d -b ~/.local/bin
      - cmd: echo -e ">>\n taskfile has been installed succefully\n"
    status:
      - test -f $(command -v task)
    silent: true
  
  ##
  ## helm
  #################################
  helm:
    desc: Install helm
    cmds:
      - cmd:  git clone https://github.com/helm/helm.git && cd helm && make
      - cmd: echo -e ">>\n taskfile has been installed succefully\n"
    status:
      - test -f $(command -v helm)
    silent: true
  ##
  ## git 
  #################################
  git:
    desc: Install git
    cmds:
      - cmd: sudo apt-get install git-all
    status:
      - test -f $(command -v git)
    silent: true

  ##
  ## terraform 
  #################################
  terraform:
    desc: Install terraform
    cmds:
      - cmd: sudo apt-get install -y gnupg software-properties-common
    status:
      - test -f $(command -v terraform)
    silent: true

  
